<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/deployable/expansioncamoboxkit.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d4e/expansioncamoboxkit_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncamoboxkit.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d4e/expansioncamoboxkit_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionCamoBoxKit.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionCamoBoxKit</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       This class handle base class of expansion basebuilding  </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/dad/class_expansion_camo_box_kit.html">   16</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dad/class_expansion_camo_box_kit.html">ExpansionCamoBoxKit</a>: <a class="code hl_class" href="../../d5/d28/class_expansion_kit_large.html">ExpansionKitLarge</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// OnPlacementComplete</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/dad/class_expansion_camo_box_kit.html#ad8aeebcfddee6dd48b78e32ec891db8a">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dad/class_expansion_camo_box_kit.html#ad8aeebcfddee6dd48b78e32ec891db8a">OnPlacementComplete</a>( Man player, vector position = <span class="stringliteral">&quot;0 0 0&quot;</span>, vector orientation = <span class="stringliteral">&quot;0 0 0&quot;</span> )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keyword">auto</span> trace = CF_Trace_0(ExpansionTracing.BASEBUILDING, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnPlacementComplete&quot;</span>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> ( IsMissionHost() )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {           </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_class" href="../../dd/dbb/class_expansion_camo_box.html">ExpansionCamoBox</a> camobox = <a class="code hl_class" href="../../dd/dbb/class_expansion_camo_box.html">ExpansionCamoBox</a>.Cast( GetGame().CreateObject( <span class="stringliteral">&quot;ExpansionCamoBox&quot;</span>, <a class="code hl_function" href="../../d5/dc8/expansionterritory_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() ) );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            camobox.SetPosition( position );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            camobox.SetOrientation( orientation );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="comment"></span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">            //! Make the kit invisible, so it can be destroyed from deploy UA when action ends</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment"></span>            HideAllSelections();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            GetGame().ObjectDelete(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }   </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        SetIsDeploySound( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../da/dad/class_expansion_camo_box_kit.html#a85463a55881b73bde4985b166abc6a49">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dad/class_expansion_camo_box_kit.html#a85463a55881b73bde4985b166abc6a49">GetDeploySoundset</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;placeLargeTent_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../da/dad/class_expansion_camo_box_kit.html#a60749bc2e681eeea2b70975fe55daf96">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dad/class_expansion_camo_box_kit.html#a60749bc2e681eeea2b70975fe55daf96">GetLoopDeploySoundset</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;largetent_deploy_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>};</div>
<div class="ttc" id="aclass_expansion_camo_box_html"><div class="ttname"><a href="../../dd/dbb/class_expansion_camo_box.html">ExpansionCamoBox</a></div><div class="ttdoc">TODO: Is there a good reason this inherits from ExpansionBaseBuilding and not DeployableContainer_Bas...</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d37/expansioncamobox_8c_source.html#l00017">expansioncamobox.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_camo_box_kit_html"><div class="ttname"><a href="../../da/dad/class_expansion_camo_box_kit.html">ExpansionCamoBoxKit</a></div><div class="ttdoc">This class handle base class of expansion basebuilding</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4e/expansioncamoboxkit_8c_source.html#l00016">expansioncamoboxkit.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_camo_box_kit_html_a60749bc2e681eeea2b70975fe55daf96"><div class="ttname"><a href="../../da/dad/class_expansion_camo_box_kit.html#a60749bc2e681eeea2b70975fe55daf96">ExpansionCamoBoxKit::GetLoopDeploySoundset</a></div><div class="ttdeci">override string GetLoopDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4e/expansioncamoboxkit_8c_source.html#l00047">expansioncamoboxkit.c:47</a></div></div>
<div class="ttc" id="aclass_expansion_camo_box_kit_html_a85463a55881b73bde4985b166abc6a49"><div class="ttname"><a href="../../da/dad/class_expansion_camo_box_kit.html#a85463a55881b73bde4985b166abc6a49">ExpansionCamoBoxKit::GetDeploySoundset</a></div><div class="ttdeci">override string GetDeploySoundset()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4e/expansioncamoboxkit_8c_source.html#l00042">expansioncamoboxkit.c:42</a></div></div>
<div class="ttc" id="aclass_expansion_camo_box_kit_html_ad8aeebcfddee6dd48b78e32ec891db8a"><div class="ttname"><a href="../../da/dad/class_expansion_camo_box_kit.html#ad8aeebcfddee6dd48b78e32ec891db8a">ExpansionCamoBoxKit::OnPlacementComplete</a></div><div class="ttdeci">override void OnPlacementComplete(Man player, vector position=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d4e/expansioncamoboxkit_8c_source.html#l00021">expansioncamoboxkit.c:21</a></div></div>
<div class="ttc" id="aclass_expansion_kit_large_html"><div class="ttname"><a href="../../d5/d28/class_expansion_kit_large.html">ExpansionKitLarge</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d3c/expansionfloorkit_8c_source.html#l00016">expansionfloorkit.c:17</a></div></div>
<div class="ttc" id="aexpansionterritory_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/dc8/expansionterritory_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc8/expansionterritory_8c_source.html#l00293">expansionterritory.c:293</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_4995a40041868e6722cdb7419e4f96ba.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_d76d15f1a001f28b24d297fe71ced766.html">basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_b2eeed86d41e07b7ca401ec98dcf69f8.html">misc</a></li><li class="navelem"><a class="el" href="../../dir_cfb7a13ad04af237e187a8f1f9c048c7.html">deployable</a></li><li class="navelem"><a class="el" href="../../da/d4e/expansioncamoboxkit_8c.html">expansioncamoboxkit.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
